
#ifndef __KScreensaverIface_h__
#define __KScreensaverIface_h__

#include <dcopobject.h>

class KScreensaverIface : virtual public DCOPObject
{
  K_DCOP
public:

k_dcop:
  virtual void lock() = 0;
  virtual void save() = 0;
  virtual int  isEnabled() = 0;
  virtual int  isBlanked() = 0;
  virtual void configure() = 0;
};

#endif

